<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1VertexElement.html">VertexElement</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::VertexElement Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1VertexElement.html">Ogre::VertexElement</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexElement.html#a34d62f56827dfb288b55059696587d83">baseVertexPointerToElement</a>(void *pBase, void **pElem) const </td><td><a class="el" href="classOgre_1_1VertexElement.html">Ogre::VertexElement</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexElement.html#a20a697dec05663dea83bdee02d9412bf">baseVertexPointerToElement</a>(void *pBase, float **pElem) const </td><td><a class="el" href="classOgre_1_1VertexElement.html">Ogre::VertexElement</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexElement.html#a676a6d854d713058757f640cf6a6ae17">baseVertexPointerToElement</a>(void *pBase, RGBA **pElem) const </td><td><a class="el" href="classOgre_1_1VertexElement.html">Ogre::VertexElement</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexElement.html#a5cdb660e91d8d4adbad6172e86c2562f">baseVertexPointerToElement</a>(void *pBase, unsigned char **pElem) const </td><td><a class="el" href="classOgre_1_1VertexElement.html">Ogre::VertexElement</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexElement.html#af3bcab57ea91e958261c618b2c8925c4">baseVertexPointerToElement</a>(void *pBase, unsigned short **pElem) const </td><td><a class="el" href="classOgre_1_1VertexElement.html">Ogre::VertexElement</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexElement.html#a6e79d12b90d3bdb7ed6ecd43e1a400b0">convertColourValue</a>(VertexElementType srcType, VertexElementType dstType, uint32 *ptr)</td><td><a class="el" href="classOgre_1_1VertexElement.html">Ogre::VertexElement</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexElement.html#ab4aba9e0430b1b330616827a5e99b54b">convertColourValue</a>(const ColourValue &amp;src, VertexElementType dst)</td><td><a class="el" href="classOgre_1_1VertexElement.html">Ogre::VertexElement</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexElement.html#ab72d0360c1bea273ac8fecd88c9a9ec6">getBaseType</a>(VertexElementType multiType)</td><td><a class="el" href="classOgre_1_1VertexElement.html">Ogre::VertexElement</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexElement.html#afd91fd79991fc24e48e986672b2250f4">getBestColourVertexElementType</a>(void)</td><td><a class="el" href="classOgre_1_1VertexElement.html">Ogre::VertexElement</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexElement.html#a14940087823ab0068a7a684c5ee6353a">getIndex</a>(void) const </td><td><a class="el" href="classOgre_1_1VertexElement.html">Ogre::VertexElement</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexElement.html#affcb4cfae6944a6cb43d1a03664f4a95">getOffset</a>(void) const </td><td><a class="el" href="classOgre_1_1VertexElement.html">Ogre::VertexElement</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexElement.html#aeab14d13a7368e75be776c871420cc77">getSemantic</a>(void) const </td><td><a class="el" href="classOgre_1_1VertexElement.html">Ogre::VertexElement</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexElement.html#a8fc4573e6122ee2a73577d74b50ed599">getSize</a>(void) const </td><td><a class="el" href="classOgre_1_1VertexElement.html">Ogre::VertexElement</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexElement.html#ac0559c14d6c048db96c1eff14cceff40">getSource</a>(void) const </td><td><a class="el" href="classOgre_1_1VertexElement.html">Ogre::VertexElement</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexElement.html#aea85cdaf058bc4ef4f43a21a042e8e4b">getType</a>(void) const </td><td><a class="el" href="classOgre_1_1VertexElement.html">Ogre::VertexElement</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexElement.html#ae62cacb2ca32a02851422f2e4f66be68">getTypeCount</a>(VertexElementType etype)</td><td><a class="el" href="classOgre_1_1VertexElement.html">Ogre::VertexElement</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexElement.html#a0c6ec880969e888a995e5e7bcae73e6f">getTypeSize</a>(VertexElementType etype)</td><td><a class="el" href="classOgre_1_1VertexElement.html">Ogre::VertexElement</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexElement.html#a481893620cead3d8136aab24da32aa3c">mIndex</a></td><td><a class="el" href="classOgre_1_1VertexElement.html">Ogre::VertexElement</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexElement.html#a82f811fecda479f8b1443d5df9488a25">mOffset</a></td><td><a class="el" href="classOgre_1_1VertexElement.html">Ogre::VertexElement</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexElement.html#a3f040d2e54d1dc1103a7cc3b2a0f2e9b">mSemantic</a></td><td><a class="el" href="classOgre_1_1VertexElement.html">Ogre::VertexElement</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexElement.html#aba26f25183641c5095c8f6d0831dc1ca">mSource</a></td><td><a class="el" href="classOgre_1_1VertexElement.html">Ogre::VertexElement</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexElement.html#a55d4996a5703f82020ebf05a4c5f8222">mType</a></td><td><a class="el" href="classOgre_1_1VertexElement.html">Ogre::VertexElement</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexElement.html#ae5e021d95c04f267cd8f4bcc8133aa8b">multiplyTypeCount</a>(VertexElementType baseType, unsigned short count)</td><td><a class="el" href="classOgre_1_1VertexElement.html">Ogre::VertexElement</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexElement.html#a65832073a574e06903adc1101e109732">operator==</a>(const VertexElement &amp;rhs) const </td><td><a class="el" href="classOgre_1_1VertexElement.html">Ogre::VertexElement</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexElement.html#a91b0768c36a06062b941fedaf37901d8">VertexElement</a>()</td><td><a class="el" href="classOgre_1_1VertexElement.html">Ogre::VertexElement</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexElement.html#ab554b57536fc3eddde886d100c62791f">VertexElement</a>(unsigned short source, size_t offset, VertexElementType theType, VertexElementSemantic semantic, unsigned short index=0)</td><td><a class="el" href="classOgre_1_1VertexElement.html">Ogre::VertexElement</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:57
</p>
</body>
</html>
